#include "qs_request_text.h"
#include <saas/rtyserver/components/qs/qs_const.h>

TQSFunctionTextOrig::TFactory::TRegistrator<TQSFunctionTextOrig> TQSFunctionTextOrig::Registrator(QS_FUNCTION_TEXT);

TRichTreePtr TQSFunctionTextOrig::GetFResult(const IQSRequest* cgi, const TLanguageContext& langContext) const {
    TReqAttrList ral;
    ral.Add(UTF8ToWide(QSAttr), "ATTR_LITERAL,doc");
    TCreateTreeOptions cto(langContext, &ral);
    return CreateRichTree(UTF8ToWide(QSAttr + ":\"" + cgi->GetQSReq() + "\""), cto).Release();
}
